Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class ProtocolException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.resources.ProtocolException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HTTPException

public class ProtocolException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ProtocolException(ReplyInterface error)`
`ProtocolException(java.lang.String msg)`
`ProtocolException(java.lang.String msg, ReplyInterface error)`

Method Summary
`ReplyInterface` | `getReply()` Get this exception reply.
`boolean` | `hasReply()` Was a reply provided with the exception ?

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolException

    public ProtocolException(java.lang.String msg)

### ProtocolException

    public ProtocolException(java.lang.String msg,
                             ReplyInterface error)

### ProtocolException

    public ProtocolException(ReplyInterface error)

Method Detail

### hasReply

    public boolean hasReply()

  Was a reply provided with the exception ?

  Returns:
    True if a reply is available.

### getReply

    public ReplyInterface getReply()

  Get this exception reply.

  Returns:
    The reply to send back to requesting process.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD